'use strict';

var chunk6MN3ZHY7 = require('./chunk-6MN3ZHY7.js');
var chunkEXTU4WIE = require('./chunk-EXTU4WIE.js');
var chunkABZYJK2D = require('./chunk-ABZYJK2D.js');
var chunkAGHRB4JF = require('./chunk-AGHRB4JF.js');
var mermaidParser_core = require('../../../../../../@mermaid-js_parser@0.6.3/node_modules/@mermaid-js/parser/dist/mermaid-parser.core.js');

var parser = {
  parse: /* @__PURE__ */ chunkAGHRB4JF.__name(async (input) => {
    const ast = await mermaidParser_core.parse("info", input);
    chunkAGHRB4JF.log.debug(ast);
  }, "parse")
};

// src/diagrams/info/infoDb.ts
var DEFAULT_INFO_DB = {
  version: chunk6MN3ZHY7.package_default.version + ("" )
};
var getVersion = /* @__PURE__ */ chunkAGHRB4JF.__name(() => DEFAULT_INFO_DB.version, "getVersion");
var db = {
  getVersion
};

// src/diagrams/info/infoRenderer.ts
var draw = /* @__PURE__ */ chunkAGHRB4JF.__name((text, id, version) => {
  chunkAGHRB4JF.log.debug("rendering info diagram\n" + text);
  const svg = chunkEXTU4WIE.selectSvgElement(id);
  chunkABZYJK2D.configureSvgSize(svg, 100, 400, true);
  const group = svg.append("g");
  group.append("text").attr("x", 100).attr("y", 40).attr("class", "version").attr("font-size", 32).style("text-anchor", "middle").text(`v${version}`);
}, "draw");
var renderer = { draw };

// src/diagrams/info/infoDiagram.ts
var diagram = {
  parser,
  db,
  renderer
};

exports.diagram = diagram;
